// creator  : weidu.exe (version 23100)
// argument : LOVE.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~LOVE~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from: 3.0
  SAY #22353 /* ~Elite Guard~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #22354 /* ~Of course.  Just trying to be helpful, is all.~ */
  IF ~~ THEN DO ~SetGlobal("Love","GLOBAL",1)~ JOURNAL #23549 /* ~~ */ EXIT
END

IF ~PartyHasItem("misc1a")
Global("Avarice","GLOBAL",2)
Global("Pride","GLOBAL",2)
Global("Fear","GLOBAL",2)~ THEN BEGIN 2 // from:
  SAY #22355 /* ~I say... you're being rather rude with that accusing glare of yours.  I am but an innocent gnome!~ */
  IF ~~ THEN DO ~TakePartyItem("misc1a")
ForceSpell(Myself,LOVEM_CHANGE)
AddexperienceParty(4000)
~ JOURNAL #24051 /* ~They died with honor regardless of what the Shade Lord did to them afterwards.~ */ EXIT
END

IF ~Global("Love","GLOBAL",1)
!PartyHasItem("misc1a")~ THEN BEGIN 3 // from:
  SAY #22360 /* ~Be careful to hold onto yer gold, my <LADYLORD>... there not be a single guard in this part of town to cry out for if ye loses it.~ */
  IF ~~ THEN GOTO 0
END

IF ~PartyHasItem("misc1A")~ THEN BEGIN 4 // from:
  SAY #23127 /* ~Here is where we guard the meeting. Here is where the membership may rest and be safe. Here is a Hold of the Harpers, one of many, one of few.~ */
  IF ~~ THEN EXIT
END
